#version 100

// vertexPosition was bound to attribute index 0 and vertexColor was bound to attribute index 1
attribute vec3 vertexPosition;
attribute vec3 vertexNormal;
attribute vec4 vertexColor;
attribute vec2 vertexTextureUV;

// Our outputs the next shader (fragment) in the chain
varying vec4 fragmentColor;
varying vec2 fragmentTextureUV;

uniform mat4 mvpMatrix;

void main(void)
{
	//.xyww will force w/w to put the sky verts at max depth.
	gl_Position = (vec4(vertexPosition, 1.0) * mvpMatrix).xyww;
	
	fragmentColor = vertexColor;
	fragmentTextureUV = vertexTextureUV;
}
